import { request } from "./axios";
import { setItem } from "./localStorage";

const storageKeys = {
  TOKEN: "AUTHORIZATION_TOKEN"
};

const authenticate = async (username, password) => {
  const urlTemplate = process.env.REACT_APP_IDENTITY_AUTHENTICATION_URL;
  const url = urlTemplate
    .replace("{username}", username)
    .replace("{password}", password);
  const options = {
    method: "post"
  };

  const token = await request(url, options);
  setItem(storageKeys.TOKEN, token);

  return token;
};

export { storageKeys, authenticate };
